package flm.b4a.libgdx.spfx;

import com.badlogic.gdx.math.Matrix3;
import com.badlogic.gdx.math.Matrix4;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.objects.collections.Map;

@BA.ShortName("lgSpecialFX_Param")
public class Parameters
{
	private Map Params;

	public void Initialize()
	{
		Params = new Map();
		Params.Initialize();
	}

	public void SetFloatParam(String Name, float Value)
	{
		Params.Put(Name, new float[] { Value });
	}

	public void SetIntParam(String Name, int Value)
	{
		Params.Put(Name, new int[] { Value });
	}

	public void SetMatrix3Param(String Name, Matrix3 Value)
	{
		Params.Put(Name, Value);
	}

	public void SetMatrix4Param(String Name, Matrix4 Value)
	{
		Params.Put(Name, Value);
	}

	public void SetFloatParamArray(String Name, float[] Value)
	{
		Params.Put(Name, Value);
	}

	public void SetIntParamArray(String Name, int[] Value)
	{
		Params.Put(Name, Value);
	}

	public Map getParamMap()
	{
		return Params;
	}

	public void Clear()
	{
		Params.Clear();
	}
}
